| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Volume::MeshBuilderCallback Class Referenceabstract
Optional Components » Volume

Callback class when the user needs information about the triangles of chunks of a LOD level. More...

`#include <OgreVolumeMeshBuilder.h>`

## Public Member Functions
virtual | ~MeshBuilderCallback ()
virtual void | ready (const SimpleRenderable *simpleRenderable, const VecVertex &vertices, const VecIndices &indices, size_t level, int inProcess)=0
| To be called with the callback function of a MeshBuilder. More...

## Detailed Description

Callback class when the user needs information about the triangles of chunks of a LOD level.

## Constructor & Destructor Documentation

## ◆ ~MeshBuilderCallback()

virtual Ogre::Volume::MeshBuilderCallback::~MeshBuilderCallback | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ ready()

virtual void Ogre::Volume::MeshBuilderCallback::ready | ( | const SimpleRenderable * | simpleRenderable,
|  | const VecVertex & | vertices,
|  | const VecIndices & | indices,
|  | size_t | level,
|  | int | inProcess
| ) |  |
| pure virtual

To be called with the callback function of a MeshBuilder.

Parameters

  simpleRenderable | Contains the SimpleRenderable for which the triangles were built.
  vertices | Contains the vertices of the triangles.
  indices | Contains the indices of the triangles.
  level | The LOD level of this mesh.
  inProcess | The amount of other meshes/LOD-Chunks still to be loaded.

The documentation for this class was generated from the following file:

- OgreVolumeMeshBuilder.h